Authentication

Check Device Code

POST
/auth/device/status

Returns whether a device code from createDeviceCode has been approved. Once it is, the response logs this device in as the user who approved it.

Request Body

application/json

deviceCode*string

Response Body

application/json

application/json

curl -X POST "https://api.vrchat.cloud/api/1/auth/device/status" \  -H "Content-Type: application/json" \  -d '{    "deviceCode": "string"  }'
{
  "status": "pending"
}

{
  "error": {
    "message": "deviceCode must be a string˸ '1' - 'number'",
    "status_code": 400
  }
}